<?xml version="1.0"?> 
<!-- ***** BEGIN LICENSE BLOCK *****
   - Version: MPL 1.1/GPL 2.0/LGPL 2.1
   -
   - The contents of this file are subject to the Mozilla Public License Version
   - 1.1 (the "License"); you may not use this file except in compliance with
   - the License. You may obtain a copy of the License at
   - http://www.mozilla.org/MPL/
   -
   - Software distributed under the License is distributed on an "AS IS" basis,
   - WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
   - for the specific language governing rights and limitations under the
   - License.
   -
   - The Original Code is MozGest.
   -
   - The Initial Developer of the Original Code is David Perry.
   - Portions created by the Initial Developer are Copyright (C) 2001
   - the Initial Developer. All Rights Reserved.
   -
   - Contributor(s):
   -  David Illsley <illsleydc@bigfoot.com>
   -  David Perry <d.perry@utoronto.ca> 
   -  Pavol Vaskovic <pali@pali.sk>
   -
   - Alternatively, the contents of this file may be used under the terms of
   - either the GNU General Public License Version 2 or later (the "GPL"), or
   - the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
   - in which case the provisions of the GPL or the LGPL are applicable instead
   - of those above. If you wish to allow use of your version of this file only
   - under the terms of either the GPL or the LGPL, and not to allow others to
   - use your version of this file under the terms of the MPL, indicate your
   - decision by deleting the provisions above and replace them with the notice
   - and other provisions required by the LGPL or the GPL. If you do not delete
   - the provisions above, a recipient may use your version of this file under
   - the terms of any one of the MPL, the GPL or the LGPL.
   -
   - ***** END LICENSE BLOCK ***** -->


<?xml-stylesheet href="chrome://communicator/skin/" type="text/css"?>

<!DOCTYPE window [
<!ENTITY % platformDTD SYSTEM "chrome://global-platform/locale/platformDialogOverlay.dtd" >
%platformDTD;
<!ENTITY % mozgestDTD SYSTEM "chrome://mozgest/locale/mozgest.dtd" >
%mozgestDTD;
]>

<page xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
      onload="parent.initPanel('chrome://mozgest/content/pref/pref-mozgest.xul');"
      headertitle="&mozgest.label;">

<script type="application/x-javascript" src="../jsutil/rdf/RDFU.js"/>
<script type="application/x-javascript" src="../jsutil/xpcom/XPCU.js"/>
<script type="application/x-javascript" src="chrome://global/content/globalOverlay.js"/>
<script type="application/x-javascript" src="pref-mozgest.js"/>
<script type="application/x-javascript">
  <![CDATA[
    var panel = "chrome://mozgest/content/pref/pref-mozgest.xul";
    var _elementIDs = [
      "mButton", "ctrlK", "altK", "shiftK", "gridSize", "navigator", "delay"
    ];
  ]]>
</script>

  <stringbundleset id="stringbundleset">  
    <stringbundle id="mozgestbundle" src="chrome://mozgest/locale/mozgest.properties"/>
  </stringbundleset>

  <groupbox orient="horizontal" width="100%">
    <caption label="&recognition.label;"/>
    <vbox>
      <checkbox id="navigator" type="checkbox" pref="true" preftype="bool"
          prefattribute="checked" prefstring="mozgest.navigator"
          label="&recognition.navigator;" />
      <checkbox disabled="true" label="&recognition.mail;" />
      <checkbox disabled="true" label="&recognition.chatzilla;" />
    </vbox>
    <vbox>
      <checkbox disabled="true" label="&recognition.addressbook;" />
      <checkbox disabled="true" label="..." />
    </vbox>
  </groupbox>
   
  <groupbox orient="horizontal" align="center" width="100%">
    <caption label="&condition.label;" />
    <hbox flex="1">
      <menulist id="mButton" 
                pref="true"
                preftype="int"
                prefstring="mozgest.mousebutton"
                prefattribute="value">
        <menupopup>
          <menuitem value="0" label="&condition.LMB;"/>
          <menuitem value="1" label="&condition.MMB;"/>
          <menuitem value="2" label="&condition.RMB;"/>
        </menupopup>
      </menulist>
      <spring flex="1"/>
      <vbox>
        <spring flex="1"/>
        <text value="&condition.and;"/>
        <spring flex="1"/>
      </vbox>
      <spring flex="1"/>
      <checkbox id="ctrlK" type="checkbox" pref="true" preftype="bool"
          prefattribute="checked" prefstring="mozgest.modifier.ctrl"
          label="&ctrlKey.label;" />
      <spring flex="1"/>
      <checkbox id="altK" type="checkbox" pref="true" preftype="bool" 
          prefattribute="checked" prefstring="mozgest.modifier.alt" 
          label="&altKey.label;" />
      <spring flex="1"/>
      <checkbox id="shiftK" type="checkbox" pref="true" preftype="bool" 
          prefattribute="checked" prefstring="mozgest.modifier.shift"
          label="&shiftKey.label;" />
    </hbox>
  </groupbox>

  <groupbox orient="vertical" align="left">
    <caption label="&additional.label;"/>
    <hbox align="center">
      <text value="&additional.gridsize;"/>
      <textbox id="gridSize" type="text" size="2"
          pref="true"
          preftype="int"
          prefattribute="value"
          prefstring="mozgest.grid" />
      <text value="&additional.units;"/>
    </hbox>
    <hbox align="center">
      <text value="&additional.abort;"/>
      <textbox id="delay" type="text" size="4"
          pref="true"
          preftype="int"
          prefattribute="value"
          prefstring="mozgest.delay" />
      <text value="&additional.delay;"/>
    
    </hbox>
  </groupbox>

  <spring flex="1"/>

  <groupbox orient="horizontal" align="center" width="100%">
    <hbox flex="1" align="center">
      <stack>
        <vbox>
          <spring flex="1"/>
          <text value="0.3.3" style="font-size: 8px; font-family: Arial, sans-serif; margin-left: 6px;" />
        </vbox>
        <image src="logo.png" style="cursor: pointer;"
          onclick="showWebPage('http://optimoz.mozdev.org/gestures/')" />
      </stack>
      <spring flex="1"/>
      <text value="&provider.value;"/>
      <spring flex="1"/>
      <vbox>
        <spring flex="1"/>
        <button class="" label="&uninstall.label;"
          onclick="confirmUninstall();" 
        />
        <spring flex="1"/>
      </vbox>
    </hbox>
  </groupbox>

</page>